Bug 1562583 - php-mbstring doesn't compile with oniguruma 6.8.1
Summary: php-mbstring doesn't compile with oniguruma 6.8.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-01 06:45 UTC by Mamoru TASAKA
Modified: 2018-04-05 11:48 UTC (History)
2 users (show)

Fixed In Version: php-7.2.4-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-05 11:48:32 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Mamoru TASAKA 2018-04-01 06:45:29 UTC
Description of problem:
php(-mbstring) 7.2.4 doesn't compile with oniguruma 6.8.1:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1064389

/builddir/build/BUILD/php-7.2.4/ext/mbstring/php_mbregex.c:452:15: error: dereferencing pointer to incomplete type 'php_mb_regex_t' {aka 'struct php_mb_re_pattern_buffer'}
  if (!rc || rc->options != options || rc->enc != enc || rc->syntax != syntax) {
               ^~
make: *** [Makefile:1476: ext/mbstring/php_mbregex.lo] Error 1

This is because of this change:
https://github.com/kkos/oniguruma/commit/d3420778c1bba51b1f0aeca50cd7bb3f700c5063

i.e. OnigRegexType internal is no longer visible

Version-Release number of selected component (if applicable):
php-7.2.4-2.fc29
oniguruma-6.8.1-1.fc29

Comment 3 Remi Collet 2018-04-03 07:16:36 UTC
remi's php-7.2.4-2.fc29 completed
	http://koji.fedoraproject.org/koji/buildinfo?buildID=1064389

remi's php-7.2.4-2.fc28 completed
	http://koji.fedoraproject.org/koji/buildinfo?buildID=1064390


@Mamoru TASAKA: build are ready, can you please take care of create the join update ?

Please also take care of both buildroot override, ie, if you expire 
  https://bodhi.fedoraproject.org/overrides/oniguruma-6.8.1-1.fc28
please also expire 
  https://bodhi.fedoraproject.org/overrides/php-7.2.4-2.fc28

Comment 4 Fedora Update System 2018-04-03 09:22:06 UTC
oniguruma-6.8.1-1.fc28 jq-1.5-12.fc28 kitutuki-0.9.6-19.fc28 lua-rex-2.8.0-3.fc28 mfiler3-4.4.9-17.fc28 mfiler4-1.3.1-12.fc28 php-7.2.4-2.fc28 saphire-3.6.5-16.fc28 slang-2.3.2-2.fc28 xyzsh-1.5.8-12.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8f9141007d

Comment 5 Mamoru TASAKA 2018-04-03 09:28:46 UTC
Thank you for taking care of this bug.

By the way, while I submitted php-7.2.4-2.fc28 altogether with other oniguruma related packages, I don't know the status of php-mock-integration2 or php-mock2. Also I am not sure if I can obsolete your override package.

Comment 6 Remi Collet 2018-04-03 10:23:48 UTC
I have expired the needed override (only php)

Comment 7 Fedora Update System 2018-04-03 15:59:02 UTC
jq-1.5-12.fc28, kitutuki-0.9.6-19.fc28, lua-rex-2.8.0-3.fc28, mfiler3-4.4.9-17.fc28, mfiler4-1.3.1-12.fc28, oniguruma-6.8.1-1.fc28, php-7.2.4-2.fc28, saphire-3.6.5-16.fc28, slang-2.3.2-2.fc28, xyzsh-1.5.8-12.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8f9141007d

Comment 8 Fedora Update System 2018-04-05 11:48:32 UTC
jq-1.5-12.fc28, kitutuki-0.9.6-19.fc28, lua-rex-2.8.0-3.fc28, mfiler3-4.4.9-17.fc28, mfiler4-1.3.1-12.fc28, oniguruma-6.8.1-1.fc28, php-7.2.4-2.fc28, saphire-3.6.5-16.fc28, slang-2.3.2-2.fc28, xyzsh-1.5.8-12.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.